Tp::Client::PropertiesInterfaceInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::PropertiesInterfaceInterface Class Reference
Telepathy Properties proxy

`#include <TelepathyQt/Properties>`

Inherits Tp::AbstractInterface.

## Public Slots
QDBusPendingReply < Tp::PropertyValueList > | GetProperties (const Tp::UIntList &properties, int timeout=-1)
QDBusPendingReply < Tp::PropertySpecList > | ListProperties (int timeout=-1)
QDBusPendingReply | SetProperties (const Tp::PropertyValueList &properties, int timeout=-1)

## Signals
void | PropertiesChanged (const Tp::PropertyValueList &properties)
void | PropertyFlagsChanged (const Tp::PropertyFlagsChangeList &properties)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| PropertiesInterfaceInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| PropertiesInterfaceInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| PropertiesInterfaceInterface (Tp::DBusProxy *proxy)
| PropertiesInterfaceInterface (const Tp::AbstractInterface &mainInterface)
| PropertiesInterfaceInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Properties".

## Constructor & Destructor Documentation

Tp::Client::PropertiesInterfaceInterface::PropertiesInterfaceInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a PropertiesInterfaceInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::PropertiesInterfaceInterface::PropertiesInterfaceInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a PropertiesInterfaceInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::PropertiesInterfaceInterface::PropertiesInterfaceInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a PropertiesInterfaceInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::PropertiesInterfaceInterface::PropertiesInterfaceInterface | ( | const Tp::AbstractInterface & | mainInterface | ) |
| explicit

Creates a PropertiesInterfaceInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::PropertiesInterfaceInterface::PropertiesInterfaceInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a PropertiesInterfaceInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::PropertiesInterfaceInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Properties", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::PropertiesInterfaceInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<Tp::PropertyValueList> Tp::Client::PropertiesInterfaceInterface::GetProperties | ( | const Tp::UIntList & | properties,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `GetProperties` on the remote object.

Returns an array of (identifier, value) pairs containing the current values of the given properties.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  properties |
      An array of property identifiers
  timeout | The timeout in milliseconds.

Returns

An array of structs containing:

- integer identifiers
- variant boxed values

QDBusPendingReply<Tp::PropertySpecList> Tp::Client::PropertiesInterfaceInterface::ListProperties | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `ListProperties` on the remote object.

Returns a dictionary of the properties available on this channel.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

Returns

      An array of structs containing: an integer identifier a string
      property name a string representing the D-Bus signature of this
      property a bitwise OR of the flags applicable to this property

QDBusPendingReply Tp::Client::PropertiesInterfaceInterface::SetProperties | ( | const Tp::PropertyValueList & | properties,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `SetProperties` on the remote object.

Takes an array of (identifier, value) pairs containing desired values to set the given properties. In the case of any errors, no properties will be changed. When the changes have been acknowledged by the server, the PropertiesChanged signal will be emitted.

All properties given must have the PROPERTY_FLAG_WRITE flag, or PermissionDenied will be returned. If any variants are of the wrong type, NotAvailable will be returned. If any given property identifiers are invalid, InvalidArgument will be returned.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  properties |
      An array mapping integer property identifiers to boxed values
  timeout | The timeout in milliseconds.

void Tp::Client::PropertiesInterfaceInterface::PropertiesChanged | ( | const Tp::PropertyValueList & | properties | ) |
| signal

Represents the signal `PropertiesChanged` on the remote object.

Emitted when the value of readable properties has changed.

Parameters

  properties | An array of structs containing: integer identifiers variant boxed values The array should contain only properties whose values have actually changed.

void Tp::Client::PropertiesInterfaceInterface::PropertyFlagsChanged | ( | const Tp::PropertyFlagsChangeList & | properties | ) |
| signal

Represents the signal `PropertyFlagsChanged` on the remote object.

Emitted when the flags of some room properties have changed.

Parameters

  properties | An array of structs containing: integer identifiers a bitwise OR of the current flags The array should contain only properties whose flags have actually changed.

void Tp::Client::PropertiesInterfaceInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.